Missing depdencies when installing source rpms

Hello,

I'm trying to build a source rpm, but the depdencies are are missing.
Am I missing some repository or something?


Code:
--------------------
    # zypper si --build-deps-only ruby
  Refreshing service 'nu_novell_com'.
  Reading installed packages...
  Loading repository data...
  Resolving package dependencies...
  7 Problems:
  Problem: nothing provides requested xorg-x11-devel
  Problem: nothing provides requested fdupes
  Problem: nothing provides requested tk-devel
  Problem: nothing provides requested libjpeg-devel
  Problem: nothing provides requested gperf
  Problem: nothing provides requested openssl-devel
  Problem: nothing provides requested readline-devel
  
--------------------



Code:
--------------------
    # zypper lr
  # | Alias                                                     | Name                                                      | Enabled | Refresh
  --+-----------------------------------------------------------+-----------------------------------------------------------+---------+--------
  1 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | Yes     | No
  3 | nu_novell_com:SLE11-SP1-Debuginfo-Pool                    | SLE11-SP1-Debuginfo-Pool                                  | No      | Yes
  4 | nu_novell_com:SLE11-SP1-Debuginfo-Updates                 | SLE11-SP1-Debuginfo-Updates                               | No      | Yes
  5 | nu_novell_com:SLES11-Extras                               | SLES11-Extras                                             | Yes     | Yes
  6 | nu_novell_com:SLES11-SP1-VMware-Pool                      | SLES11-SP1-VMware-Pool                                    | Yes     | Yes
  7 | nu_novell_com:SLES11-SP1-VMware-Updates                   | SLES11-SP1-VMware-Updates                                 | Yes     | Yes
  
--------------------


-- 
Raboo3D
------------------------------------------------------------------------



0
Raboo3D
1/4/2012 9:16:03 PM
novell.sles.configure 3559 articles. 0 followers. Follow

5 Replies
670 Views

Similar Articles

[PageSpeed] 2

On Wed, 04 Jan 2012 21:16:03 GMT
Raboo3D <Raboo3D@no-mx.forums.novell.com> wrote:

> 
> Hello,
> 
> I'm trying to build a source rpm, but the depdencies are are missing.
> Am I missing some repository or something?
> 
> 
> Code:
> --------------------
>     # zypper si --build-deps-only ruby
>   Refreshing service 'nu_novell_com'.
>   Reading installed packages...
>   Loading repository data...
>   Resolving package dependencies...
>   7 Problems:
>   Problem: nothing provides requested xorg-x11-devel
>   Problem: nothing provides requested fdupes
>   Problem: nothing provides requested tk-devel
>   Problem: nothing provides requested libjpeg-devel
>   Problem: nothing provides requested gperf
>   Problem: nothing provides requested openssl-devel
>   Problem: nothing provides requested readline-devel
>   
> --------------------
> 
> 
> 
> Code:
> --------------------
>     # zypper lr
>   # | Alias                                                     |
> Name                                                      | Enabled |
> Refresh
> --+-----------------------------------------------------------+-----------------------------------------------------------+---------+--------
> 1 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 |
> SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | Yes     |
> No 3 | nu_novell_com:SLE11-SP1-Debuginfo-Pool                    |
> SLE11-SP1-Debuginfo-Pool                                  | No      |
> Yes 4 | nu_novell_com:SLE11-SP1-Debuginfo-Updates                 |
> SLE11-SP1-Debuginfo-Updates                               | No      |
> Yes 5 | nu_novell_com:SLES11-Extras                               |
> SLES11-Extras                                             | Yes     |
> Yes 6 | nu_novell_com:SLES11-SP1-VMware-Pool                      |
 SLES11-SP1-VMware-Pool                                    | Yes
> | Yes 7 | nu_novell_com:SLES11-SP1-VMware-Updates                   |
> SLES11-SP1-VMware-Updates                                 | Yes     |
> Yes --------------------
> 
> 
Hi
You need to add the SLE SDK via YaST Add on Product, it will then add
the update repositories etc.
http://www.novell.com/developer/sle_sdk.html

-- 
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.1 (x86_64) Kernel 3.1.0-1.2-desktop
up 1 day 18:43, 3 users, load average: 0.02, 0.02, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

0
malcolmlewis
1/4/2012 10:38:07 PM
malcolmlewis;2165130 Wrote: 
> Hi
> You need to add the SLE SDK via YaST Add on Product, it will then add
> the update repositories etc.
> 'SUSE Linux Enterprise SDK'
> (http://www.novell.com/developer/sle_sdk.html)
> 
Can I do it without yast? Can I do it in zypper or such?
I've re-installed server using only "Minimal System".. yast is not
installed...


-- 
Raboo3D
------------------------------------------------------------------------
Raboo3D's Profile: http://forums.novell.com/member.php?userid=122108
View this thread: http://forums.novell.com/showthread.php?t=450292

0
Raboo3D
1/5/2012 10:36:01 AM
Raboo3D;2165233 Wrote: 
> Can I do it without yast? Can I do it in zypper or such?
> I've re-installed server using only "Minimal System".. yast is not
> installed...
> 
> EDIT: Never mind. Yast is installed on minimal system, but i have to
> type yast2...
> However, question still remains, can i do this without yast2?
zypper can add a repo 'SDB:Zypper usage 11.3 - openSUSE'
(http://en.opensuse.org/SDB:Zypper_usage_11.3#Adding_repositories)
Give it a try.


-- 
MoserHans
------------------------------------------------------------------------
MoserHans's Profile: http://forums.novell.com/member.php?userid=53101
View this thread: http://forums.novell.com/showthread.php?t=450292

0
MoserHans
1/5/2012 12:46:01 PM
On Thu, 05 Jan 2012 10:36:01 GMT
Raboo3D <Raboo3D@no-mx.forums.novell.com> wrote:

> 
> malcolmlewis;2165130 Wrote: 
> > Hi
> > You need to add the SLE SDK via YaST Add on Product, it will then
> > add the update repositories etc.
> > 'SUSE Linux Enterprise SDK'
> > (http://www.novell.com/developer/sle_sdk.html)
> > 
> Can I do it without yast? Can I do it in zypper or such?
> I've re-installed server using only "Minimal System".. yast is not
> installed...
> 
> 
Hi
Look at your system mirror credentials and password and add it via
zypper ar command, or just the iso image;
[CODE]
zypper ar iso:///data/repositories/iso_images/SLE-11-SP1-SDK-DVD-x86_64-RC2-DVD1.iso SLE-SDK-LOCAL
[/CODE]

-- 
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.1 (x86_64) Kernel 3.1.0-1.2-desktop
up 9:44, 4 users, load average: 0.05, 0.08, 0.09
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

0
malcolmlewis
1/5/2012 1:12:46 PM
Ok, thanks guys it worked!


-- 
Raboo3D
------------------------------------------------------------------------
Raboo3D's Profile: http://forums.novell.com/member.php?userid=122108
View this thread: http://forums.novell.com/showthread.php?t=450292

0
Raboo3D
1/6/2012 12:46:02 AM
Reply:

Similar Artilces:

Source install missing .webinfo
This could confuse someone who didn't know what happened. For anyone who's run into this, when you try to open the project with Visual Studio you'll get an error saying: The project you are trying to open is a Web project. You need to open it by specifying its URL path. To fix this create a text file in the project folder and name it: nGallery.csproj.webinfo For the default install put this in the file: <VisualStudioUNCWeb> <Web URLPath = "http://localhost/nGallery/nGallery.csproj"/> </VisualStudioUNCWeb> Otherwise, alter the URLPath...

Missing System.Configuration.Install
Hello, I made a Windows Service and i am trying to make an installer, but when i try to use the System.Configuration.Install (assembly? namespace?) it doesnt work. The only options i get when i use System.Configuration is "Assembly". I am using Visual Studio Standard, which i know is missing some features compared to enterprise. Could it not be supported in standard edition? or if anyone knows where i can find a walkthrough, or can tell me how, to put my windows service on a machine and make it work? Please help :) Thanks Dev Djinnx-Dev DjinnxWeb Developer You must include a referen...

Configuring a data source for a drop down listbox. Having difficulty with configuring data source (Query)
In the IDE designer, on the flyout menu of my drop down control, I am able to configure the data source. I am also able to build a where clause to filter the data I want to have listed in my drop down listbox control. My choices are "Where","Order By", and "Advanced". I then choose "where" The problem is that my dropdown listbox control will only let me build a where clause with "AND" statements in it. I actually need an "OR" statement instead. They do not provide a way to edit the query directly. Does anyone know how I can fix th...

Missing OES2 installation sources (for updates)
I have a new server installed here, and it's registered with both the SLES and OES2 registration codes, and it all looks correct. BUT, it doesn't have the update sources from nu.novell.com in the installation source list. I've tried using the customer center application, but that didn't add them correctly. I've tried adding them manually, copying the info from another server, but as I don't have the password for the update sources, it doesn't go well (got a strange result when I tried to use the contant of /etc/zmd/secret. Any idea on what went wrong d...

YaST 2 Installation Source Missing
When I go into YaST2 Installation Source section it doesn't show any installation source. It use to have the DVD listed. When I try to exit out of the Installation Source section YaST2 just hangs and I can't get it to exit out. How can I add back in the installation source if I am unable to get the Installation Source section of yast to work properly? -- alanatdsi ------------------------------------------------------------------------ I believe I found the problem as to why it locks up. It appears that an installation source was trying to be added but it d...

How to install and configure freeradius on Sles 10 sp2
Anybody out there who has lately done freeradius and edirectory intergration ? There are articles out there talking about Sles 8 and Sles 9. We are trying to intergrate freeraidus with Sles 10sp2 and Oes sp1. What version of freeradius will work with this OS ? Any small information on how to start will be appriciated . Or anyone with a link of how to start installation and configuration -- grpadmin ------------------------------------------------------------------------ grpadmin;1742801 Wrote: > Anybody out there who has lately done freeradius and edirectory > i...

How do you install the install the kernel source?
In OES linux, how do you install the kernel source and what's the recommend source cd - that is, oes sp2 or the original disks. Thank you. * zavi@hotmail.com wrote, On 01/19/2007 06:21 PM: > In OES linux, how do you install the kernel source and what's the recommend > source cd - that is, oes sp2 or the original disks. Just go into Yast, Software Management and install the kernel sources. It will ask you for the right CD. Then do an update through rug or Red Carpet to have the sources updated, i.e. match the version of your running kernel. Uwe -- Novell Support...

OES2 and SLES install source move to /media/...
Greetings, am testing with OES2SP1 on SLES10SP2, I setup my test server using the CD's (4 for SLES and 1 for OES - this server doesn't have DVD), installed OK, but now whenever I go into OES2 install/config in YAST it asks for the OES2 CD. I managed to get around this by creating /media/OES2_SP1 and mounting the OES2 CD, then copying the contents to the directory I creating, then went into installation sources and added /media/OES2_SP1, and disabling the CD based OES2 installation source, now it doesn't ask for the OES2 CD, but it asks for the 2nd SLES one. Do I h...

Personal.install.comfig in the Install directory is missing in the Install zip file
Hello, I'm missing the Personal.install.config in the directory install in the zip file DotNetNuke_4.0.1_Install.zip. And also in the Source zip file. Yesterday i tryed to install the 4.0.1 over my 4.0.0 and the happened notting only that i had to restore the database and the backup of the site. Today i was trying to work with the Source and see the the Personal.install.config is missing as soon as i change the template to the default in web.config i was working. But don't get the Personal Website....

Dazuko 3 install
SuSE Linux 11.2 and Dazuko 3 installation problem. Trying to install Dazuko to get Avira Anti Virus software installed. devilsbackbone:/home/akwe-xavante/Download/Dazuko/dazuko-3.0.0-birthday # ./configure checking host system type... Linux checking for make utility... ok (make) checking for C compiler... ok (cc) kernel source in /lib/modules/2.6.31.5-0.1-desktop/source... no kernel build source in /lib/modules/2.6.31.5-0.1-desktop/build... no kernel build source in /usr/src/linux... no kernel source in /usr/src/linux... no error: no kernel source files found devilsbackbone:/...

Error Adding Installation Source [SLES 10.2]
Hi All, I want to install gcc on my machine with SLES 10.2 installed on it. On searching for gcc in Yast -> Software -> Software Management, I just found libgcc and cpp. I want to install gcc command. I tried to add sles 10.2 installation dvd as Installation source but it is giving me this error: dvd:/// Unknown Error: Invalid path name component '// suse/setup/descr/dvd-11.1-71.1.i586.pat.gz' So... Now, I mounted the drive, copied the contents of the drive to a local directory and modified suse sub-directory name to " suse" [please note there is an ...

Sles 10 HTTPS SSL, who to install & configure
Hi, I'm running a webserver on my SLES 10 server I've installed also phpMyAdmin, but to be secure is it better that I use Https!. But I can't find who to configure HTTPS and SSL. Can anyone help me. Thanks Jos Jos wrote: > Hi, > > I'm running a webserver on my SLES 10 server > > I've installed also phpMyAdmin, but to be secure is it better that I use > Https!. > > But I can't find who to configure HTTPS and SSL. > Can anyone help me. > > Thanks > > Jos This is on their knowledge base. Look on ...

unable to install software from source b/c missing c libraries
I'm having trouble installing software from the source files. From what I can gather the problem lies with not having the correct c libraries installed. My understanding is you use the ./configure, make, and make install commands in a terminal to install. And that the configure command checks to see if you have everything to install. this is the output when I try to configure: checking for a BSD-compatible install... /usr/bin/install -c checking whether build environment is sane... yes checking for a thread-safe mkdir -p... /bin/mkdir -p checking for gawk... gawk checking...

Problem with installing drivers for NI USB-6008, kernel source not configured
Hello, I'm trying to install NI VISA and drivers for NI USB-6008 on OpenSUSE 11.2, so I've downloaded the appropriate ISOs with installation scripts. However, both need to build modules, and require configured kernel source. Here's the exact error message I got : Code: -------------------- Checking required install tools... Checking installer tool versions... dpkg Not found in current path rpm 4.7.1 can be used with a default installation path tar 1.21 Checking dependencies... glibc 2.10.1 Unpacking install files...

Web resources about - Missing depdencies when installing source rpms - novell.sles.configure

Resources last updated: 2/13/2016 2:42:10 AM